import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import errorLog from './modules/errorLog'
import tagsView from './modules/tagsView'
import xt_user from './modules/xt_user'
import xt_permission from './modules/xt_permission'

import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    errorLog,
    tagsView,
    xt_user,
    xt_permission
  },
  getters
})

export default store
